import "./assets/style.css";

import { createApp } from "vue";
import { createPinia } from "pinia";
import { i18n } from "./i18n";

import App from "./App.vue";
import router from "./router";
import { useInstanceStore } from "./stores/instance";

const app = createApp(App);

app.use(createPinia());
app.use(router);
app.use(i18n);

useInstanceStore().fetchInstance();

app.mount("#app");
