import { watch } from "vue";
import { useInstanceStore } from "./instance";

export default function watchTitle<T extends object | undefined>(
	callback: (obj: T | undefined) => string | undefined,
	obj: T | undefined = undefined,
) {
	const instanceStore = useInstanceStore();
	watch(
		() => ({ obj, instanceName: instanceStore.instanceName }),
		({ obj, instanceName }) => {
			const text = callback(obj);
			document.title = text ? `${text} - ${instanceName}` : instanceName;
		},
		{ immediate: true },
	);
}
